Bug 1014803 - lxc-start: No such file or directory - stat(/proc/3389/root/dev//console)
lxc-start: No such file or directory - stat(/proc/3389/root/dev//console)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: docker-io (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 16:02 EDT by Michal Fojtik
Modified: 2014-07-01 18:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 19:42:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Fojtik 2013-10-02 16:02:46 EDT
Description of problem:

This error pops up when starting the mattdm/fedora:f19 container.
I think this also cause that the systemd is not working properly,
and when doing service <something> start, it fails as it could not
connect to the dbus session.

Version-Release number of selected component (if applicable):

Heh, maybe another bug:

 ~/code/docker/apache → docker -v
Docker version , build 

yum info shows:

Version     : 0.6.3
Release     : 2.devicemapper.fc19

Steps to Reproduce:

1. docker pull mattdm/fedora
2. Create some basic Dockerfile:

FROM mattdm/fedora:f19

RUN yum update -y
RUN yum install -y httpd

EXPOSE 80
CMD ["service", "httpd", "start"]

3. docker build .

Actual results:

Uploading context 10240 bytes
Step 1 : FROM mattdm/fedora:f19
 ---> 50f374c05c2c
Step 2 : RUN yum update -y
 ---> Running in 4e9b1f26ef34
lxc-start: No such file or directory - stat(/proc/3224/root/dev//console)
Resolving Dependencies
--> Running transaction check
# ... snip ...
Complete!
 ---> d5044f1dc638
Step 3 : RUN yum install -y httpd
 ---> Running in 92fb8e887bc7
lxc-start: No such file or directory - stat(/proc/3389/root/dev//console)
CRITICAL:yum.main:

Error: rpmdb failed release provides. Try: rpm --rebuilddb
Error build: The command [/bin/sh -c yum install -y httpd] returned a non-zero code: 1
The command [/bin/sh -c yum install -y httpd] returned a non-zero code: 1

(the error at bottom will be reported separately ;)

Expected results:

The docker should build the image.

Additional info:
Comment 1 Matthew Miller 2013-10-02 17:22:33 EDT
The /dev/console error is a new one and probably comes from linking /dev/console to /dev/tty1 (which was done to solve another problem). But the key error here is actually this:


> Error build: The command [/bin/sh -c yum install -y httpd] returned a non-zero code: 1
> The command [/bin/sh -c yum install -y httpd] returned a non-zero code: 1

https://bugzilla.redhat.com/show_bug.cgi?id=1012952

This is being fixed upstream; can you try with either the patch attached to that bug or simply in creating a dockerfile where you're not installing or updating packages with file capabilities (systemd, httpd are two that _do_ and so won't work.)
Comment 2 Jeremy Eder 2013-11-27 15:27:53 EST
Still reproduces for me.  Which package/version includes the fix ?

$ sudo yum repolist|grep docker
docker/20/x86_64                 Nightly docker repository maintained by       6
docker-experimental/20/x86_64    Nightly docker experimental repository m      3

$ rpm -q docker-io lxc 
docker-io-0.7.0-2.fc20.x86_64
lxc-0.9.0-2.fc20.x86_64

$ sudo docker images|egrep 'REP|f20r'
REPOSITORY            TAG                 IMAGE ID            CREATED             SIZE
mattdm/fedora         f20rc3.small        97fc5bf7f8d4        10 weeks ago        198.4 MB (virtual 198.4 MB)

$ cat Dockerfile
FROM mattdm/fedora:f20rc3.small
ENTRYPOINT sleep 10

$ sudo docker build -t testlxc - < Dockerfile

$ sudo docker run testlxc
lxc-start: No such file or directory - stat(/proc/25732/root/dev//console)
...
Comment 3 Lokesh Mandvekar 2013-11-27 15:50:40 EST
(In reply to Jeremy Eder from comment #2)
 
> $ cat Dockerfile
> FROM mattdm/fedora:f20rc3.small
> ENTRYPOINT sleep 10
> 

cool, so likes like there's trouble with f20rc3.small. things seem to work well with mattdm/fedora
Comment 4 Lokesh Mandvekar 2013-11-27 15:51:16 EST
(In reply to Lokesh Mandvekar from comment #3)
> (In reply to Jeremy Eder from comment #2)
>  
> > $ cat Dockerfile
> > FROM mattdm/fedora:f20rc3.small
> > ENTRYPOINT sleep 10
> > 
> 
> cool, so likes like there's trouble with f20rc3.small. things seem to work
> well with mattdm/fedora

s/likes/looks
Comment 5 Jeremy Eder 2013-11-27 15:54:54 EST
Agreed, works with mattdm/fedora and mattdm/fedora:f20

Thanks!
Comment 6 Matthew Miller 2013-11-27 17:03:00 EST
Can you try mattdm/fedora-small:f20? The f20rc3.small is actually pretty old and probably broken.

Note You need to log in before you can comment on or make changes to this bug.